Bug 259484 - devel/gocritic: update to 0.6.1
Summary: devel/gocritic: update to 0.6.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koichiro Iwao
URL: https://github.com/go-critic/go-criti...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-27 14:39 UTC by Robert Clausecker
Modified: 2021-10-28 07:35 UTC (History)
1 user (show)

See Also:


Attachments
devel/gocritic: update to 0.6.1 (1.56 KB, patch)
2021-10-27 14:39 UTC, Robert Clausecker
fuz: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Clausecker 2021-10-27 14:39:45 UTC
Created attachment 229071 [details]
devel/gocritic: update to 0.6.1

A patch update.  Upstream changes:

 - Split ruleguard checker failOnError param in two: failOnError + failOn
   to avoid backwards-incompatible API
 - Fix release binaries for most platforms

https://github.com/go-critic/go-critic/releases/tag/v0.6.1

Tested with Poudriere on armv7 arm64 i386 amd64 FreeBSD 13.
Comment 1 commit-hook freebsd_committer 2021-10-28 06:13:47 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=4200c61f59eec9ad59da1e140bf06090aa81a6da

commit 4200c61f59eec9ad59da1e140bf06090aa81a6da
Author:     Robert Clausecker <fuz@fuz.su>
AuthorDate: 2021-10-22 15:53:21 +0000
Commit:     Koichiro Iwao <meta@FreeBSD.org>
CommitDate: 2021-10-28 06:11:14 +0000

    devel/gocritic: update to 0.6.1

    PR:             259484

 devel/gocritic/Makefile |  2 +-
 devel/gocritic/distinfo | 10 +++++-----
 2 files changed, 6 insertions(+), 6 deletions(-)
Comment 2 Koichiro Iwao freebsd_committer 2021-10-28 07:35:45 UTC
Committed, thanks!